Add top level make check target which runs the validation

suite.  Careful with this right now one of the tests still
causes a lockup on the node.  This happened before the move
from the ZFS repo so its not a new issue.



git-svn-id: https://outreach.scidac.gov/svn/spl/trunk@15 7e1ea52c-4ff2-0310-8f11-9dd32ca42a1c
This commit is contained in:
behlendo 2008-02-28 00:16:24 +00:00
parent 7c50328b40
commit 07d339d467
3 changed files with 48 additions and 3 deletions

View File

@ -7,6 +7,4 @@ all:
install uninstall clean distclean maintainer-clean distdir:
$(MAKE) -C @kernelsrc@ SUBDIRS=`pwd` @KERNELMAKE_PARAMS@ $@
check:

View File

@ -1 +1,4 @@
EXTRA_DIST = spl.spec.in
check:
./check.sh

44
scripts/check.sh Executable file
View File

@ -0,0 +1,44 @@
#!/bin/bash
prog=check.sh
spl_module=../modules/spl/spl.ko
splat_module=../modules/splat/splat.ko
splat_cmd=../cmd/splat
die() {
echo "${prog}: $1" >&2
exit 1
}
warn() {
echo "${prog}: $1" >&2
}
if [ $(id -u) != 0 ]; then
die "Must run as root"
fi
if /sbin/lsmod | egrep -q "^spl|^splat"; then
die "Must start with spl modules unloaded"
fi
if [ ! -f ${spl_module} ] || [ ! -f ${splat_module} ]; then
die "Source tree must be built, run 'make'"
fi
echo "Loading ${spl_module}"
/sbin/insmod ${spl_module} || die "Failed to load ${spl_module}"
echo "Loading ${splat_module}"
/sbin/insmod ${splat_module} || die "Unable to load ${splat_module}"
sleep 5
$splat_cmd -a
echo "Unloading ${splat_module}"
/sbin/rmmod ${splat_module} || die "Failed to unload ${splat_module}"
echo "Unloading ${spl_module}"
/sbin/rmmod ${spl_module} || die "Unable to unload ${spl_module}"
exit 0